import 'package:speedq_net/entities/Entity.dart';
import 'dart:convert';

import 'package:speedq_net/src/util/JsonReflector.dart';

///represents a customer
@reflector
class Customer extends Entity {
    late String email;
    late String password;
    late String phone;
    late String school;
    late String foodCourt;

    Customer.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        name = map["name"];
        email = map["email"];
        password = map["password"];
        phone = map["phone"];
        school = map["school"];
        foodCourt = map["fc"];
    }
}